import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, i = p.length - 1, o; i >= 0; i--)
    (o = p[i]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && h(t, s, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--starFilledLarge", this.class = "c-pieIcon c-pieIcon--starFilledLarge", this.name = "IconStarFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--starFilledLarge"><path d="m24.601 29.029-8.199-4.279a.874.874 0 0 0-.813 0l-8.19 4.279 1.6-9.126a.875.875 0 0 0-.253-.77l-6.659-6.467 9.162-1.33a.874.874 0 0 0 .656-.48L16 2.56l4.095 8.295a.875.875 0 0 0 .656.481l9.161 1.33-6.623 6.467a.874.874 0 0 0-.254.77l1.566 9.126Z"></path></svg>`;
  }
};
a([
  c({ type: String, reflect: !0 })
], l.prototype, "size", 2);
a([
  c({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = a([
  g("icon-star-filled-large")
], l);
export {
  l as IconStarFilledLarge
};
